declare namespace PDJS.Actions {
    interface methodArgs {
        entityTypeId: number;
        parentId: number;
    }
    export class CreateEntityActions extends PDJS.Shared.Actions.ActionDefinition {
        constructor();
        execute(args: methodArgs): void;
    }
    export {};
}
declare namespace PDJS.Actions {
    interface methodArgs {
        entityId: number;
        reportId: number;
    }
    export class DownloadReportAction extends PDJS.Shared.Actions.ActionDefinition {
        constructor();
        execute(args: methodArgs): void;
        private showErrorDialog;
    }
    export {};
}
declare namespace PDJS.Actions {
    interface methodArgs {
        entityId: number;
        scriptName: string;
        refresh: boolean;
    }
    export class ExecuteRuleAction extends PDJS.Shared.Actions.ActionDefinition {
        constructor();
        execute(args: methodArgs): void;
        private onScriptExecuteSuccess;
    }
    export {};
}
declare namespace PDJS.Actions {
    interface methodArgs {
        to: string;
        cc: string;
        subject: string;
        body: string;
    }
    export class OpenEmailMessageAction extends PDJS.Shared.Actions.ActionDefinition {
        constructor();
        execute(args: methodArgs): void;
        private buildParamsString;
    }
    export {};
}
